Name:		qubes-mgmt-salt-dom0-qubes-infrastructure
Version:	4.1.10
Release:	1%{?dist}
Summary:	Manage Qubes OS infrastructure VMs

Group:		System administration tools
License:	GPL 2.0
BuildArch:  noarch
URL:		https://www.qubes-os.org/
Source:	%{name}-%{version}.tar.gz
BuildRequires: make
Requires:	qubes-mgmt-salt
Requires:	qubes-mgmt-salt-dom0

# Turn off automatic python bytecompilation
%undefine py_auto_byte_compile

%description


%prep
%setup -q

%build

%install
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} BINDIR=%{_bindir} SBINDIR=%{_sbindir} SYSCONFDIR=%{_sysconfdir}


%files
%defattr(-,root,root)
%doc LICENSE README.md
%attr(750, root, root) %dir /srv/formulas/base/qubes-infrastructure
/srv/formulas/base/qubes-infrastructure/README.md
/srv/formulas/base/qubes-infrastructure/LICENSE
/srv/formulas/base/qubes-infrastructure/build-infra

%attr(750, root, root) %dir /srv/pillar/base/build-infra
%config(noreplace) /srv/pillar/base/build-infra/init.sls
%config(noreplace) /srv/pillar/base/build-infra/logs.sls
%config(noreplace) /srv/pillar/base/build-infra/logs-kernel.sls
%config(noreplace) /srv/pillar/base/build-infra/logs-kernel-repo.sls
%config(noreplace) /srv/pillar/base/build-infra/build-vms.sls
%config(noreplace) /srv/pillar/base/build-infra/init.top

%config(noreplace) /etc/salt/minion.d/qubes-infrastructure.conf

%changelog
* Tue Jul 25 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-infrastructure.git

* Tue Jul 25 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 33d5fca
- version 4.1.10

* Mon Jul 24 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 9f28484
- builderv2: support maintainers for configs

* Fri Jun 23 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d407323
- version 4.1.9

* Fri Jun 23 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ed07f0a
- Update github.com host key

* Fri Jun 23 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5b504c4
- Update submodules and known-good commit hashes

* Fri Jun 23 2023 Frédéric Pierret (fepitre) <frederic@invisiblethingslab.com> - 1266ab6
- Remove duplicate package to be installed

* Tue Apr 25 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2faaecc
- version 4.1.8

* Tue Apr 25 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b7e526e
- Add dependencies for arch packages

* Tue Apr 25 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e81e794
- version 4.1.7

* Tue Apr 25 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fd04de2
- Typo fix

* Tue Apr 25 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a2c61e8
- version 4.1.6

* Tue Apr 25 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 934e624
- Allow admin.vm.CreateDisposable call to builder-dvm explicitly too

* Sat Apr 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4ea2f64
- version 4.1.5

* Sat Apr 08 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0f3221b
- Make openqa client conf conditional

* Wed Mar 29 2023 Frédéric Pierret (fepitre) <frederic@invisiblethingslab.com> - 644c45d
- Create openqa config file instead of feeding github.yml

* Tue Mar 28 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 929532e
- Allow to pass iso-base-url for notify-issues

* Sun Mar 19 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b02e826
- version 4.1.4

* Sun Mar 19 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a83abc3
- Set openqa entries only if they are defined

* Sun Mar 19 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4969fdb
- Update default template to Fedora 37

* Sun Mar 19 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 160cc3f
- Support for setting builder-github openqa values

* Sun Mar 19 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f090325
- Support for setting encryption in remote hosts

* Thu Oct 27 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fe14848
- version 4.1.3

* Thu Oct 27 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3f60122
- Switch webhooks to builderv2-github version

* Thu Oct 27 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5985910
- Add SSH proxy last

* Thu Oct 27 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8f1202e
- Install sequoia-sqv in template

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 019b1e9
- version 4.1.2

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ece1d7c
- Unbreak openssl's ripemd160

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1ec5f4a
- version 4.1.1

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 549443b
- Move qubesbuilder.ProcessGithubCommand to the new policy too

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0e619f4
- Fix typo in qrexec policy

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 07d74f0
- Fix example pillar

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9f423ae
- Fix setting split-gpg autoaccept time

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 11b7fb2
- Install mkmetalink in build VM for builderv2

* Tue Oct 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 838261b
- version 4.1.0

* Mon Oct 03 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 80af22a
- Rename FORMULA file

* Mon Oct 03 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a5cc119
- Bump qubes-builder commit sha

* Mon Oct 03 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e29c063
- ci: build with builderv2 for R4.2

* Mon Oct 03 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 41c4259
- Add .qubesbuilder

* Mon Oct 03 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d1adf19
- Configure very long autoaccept key access period for builderv2

* Mon Oct 03 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8b0f325
- Add support for deploying builderv2 too

* Sun Sep 18 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d329ed2
- Fix calling safe-checkout-sha

* Sun Sep 18 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 58dbdbf
- Update submodules

* Sun Sep 18 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 88cc26f
- Update default template to fedora-36

* Sun Sep 18 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8cfe1cd
- Convert policy to new format

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7cfac8d
- Drop Travis CI

* Sun Oct 17 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e51fe47
- spec: add BR make

* Thu Jun 17 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 98a4605
- version 2.0.16

* Thu Jun 17 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4cd5a3f
- Download initial sources for builder plugins only

* Wed Jun 16 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 150c79b
- Fix 'require' formatting

* Wed Jun 16 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d06d811
- version 2.0.15

